components:
  schemas:
    StorageGroup_v1_0_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        '#StorageGroup.ExposeVolumes':
          $ref: '#/components/schemas/StorageGroup_v1_0_0_ExposeVolumes'
        '#StorageGroup.HideVolumes':
          $ref: '#/components/schemas/StorageGroup_v1_0_0_HideVolumes'
        Oem:
          $ref: '#/components/schemas/StorageGroup_v1_0_0_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
      type: object
      x-longDescription: This property shall contain any actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    StorageGroup_v1_0_0_ExposeVolumes:
      additionalProperties: false
      description: Expose the storage volumes of this group.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: Exposes the storage of this group via the target endpoints
        named in the ServerEndpointGroups to the initiator endpoints named in the
        ClientEndpointGroups.  The property VolumesAreExposed shall be set to true
        when this action is completed.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    StorageGroup_v1_0_0_ExposeVolumesRequestBody:
      additionalProperties: false
      description: Expose the storage volumes of this group.
      properties: {}
      type: object
      x-longDescription: Exposes the storage of this group via the target endpoints
        named in the ServerEndpointGroups to the initiator endpoints named in the
        ClientEndpointGroups.  The property VolumesAreExposed shall be set to true
        when this action is completed.
    StorageGroup_v1_0_0_HideVolumes:
      additionalProperties: false
      description: Hide the storage volumes of this group.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: Hide the storage of this group from the initiator endpoints
        named in the ClientEndpointGroups. The property VolumesAreExposed shall be
        set to false when this action is completed.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    StorageGroup_v1_0_0_HideVolumesRequestBody:
      additionalProperties: false
      description: Hide the storage volumes of this group.
      properties: {}
      type: object
      x-longDescription: Hide the storage of this group from the initiator endpoints
        named in the ClientEndpointGroups. The property VolumesAreExposed shall be
        set to false when this action is completed.
    StorageGroup_v1_0_0_Links:
      additionalProperties: false
      description: Contains links to other resources that are related to this resource.
      properties:
        ChildStorageGroups:
          description: Child StorageGroups.
          items:
            $ref: '#/components/schemas/StorageGroup_v1_0_0_StorageGroup'
          readOnly: false
          type: array
          x-longDescription: An array of references to StorageGroups are incorporated
            into this StorageGroup.
        ChildStorageGroups@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        ClassOfService:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The ClassOfService that all storage in this StorageGroup conforms
            to.
          readOnly: false
          x-longDescription: The ClassOfService that all storage in this StorageGroup
            conforms to.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
        ParentStorageGroups:
          description: Parent StorageGroups.
          items:
            $ref: '#/components/schemas/StorageGroup_v1_0_0_StorageGroup'
          readOnly: true
          type: array
          x-longDescription: An array of references to StorageGroups that incorporate
            this StorageGroup.
        ParentStorageGroups@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: This structure shall contain references to resources that
        are not contained within this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    StorageGroup_v1_0_0_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    StorageGroup_v1_0_0_StorageGroup:
      additionalProperties: false
      description: Collection of resources that are managed and exposed to hosts as
        a group.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        AccessState:
          $ref: http://redfish.dmtf.org/schemas/v1/EndpointGroup.yaml#/components/schemas/EndpointGroup_AccessState
          description: AccessState for this storage group.
          nullable: true
          readOnly: false
          x-longDescription: The value of this property shall describe the access
            characteristics of this storage group. All associated logical units through
            all aggregated ports shall share this access state.
        Actions:
          $ref: '#/components/schemas/StorageGroup_v1_0_0_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
        ClientEndpointGroups:
          description: Groups of client endpoints in this storage group.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: An array of references to groups of client-side endpoints
            that may be used to make requests to the storage exposed by this StorageGroup.
            If null, the implementation may allow access to the storage via any client-side
            endpoint.  If empty, the implementation shall not allow access to the
            storage via any client-side endpoint.
        ClientEndpointGroups@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Identifier:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Identifier
          description: The value identifies this resource.
          x-longDescription: The value shall be unique within the managed ecosystem.
        Links:
          $ref: '#/components/schemas/StorageGroup_v1_0_0_Links'
          description: Contains links to other resources that are related to this
            resource.
          x-longDescription: This property shall contain links to other resources
            that are related to this resource.
        MembersAreConsistent:
          deprecated: true
          description: Members are kept in a consistent state.
          nullable: true
          readOnly: false
          type: boolean
          x-deprecatedReason: Deprecated in favor of using the ConsistencyGroup for
            Consistency set management.
          x-longDescription: The value of this property shall be set to true if all
            members are in a consistent state. The default value for this property
            is false.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        ReplicaInfo:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageReplicaInfo.yaml#/components/schemas/StorageReplicaInfo_ReplicaInfo
          deprecated: true
          description: Describes this storage group in its role as a target for replication.
          x-deprecatedReason: Deprecated in favor of using the ConsistencyGroup for
            Consistency set management.
          x-longDescription: This property shall describe the replication relationship
            between this storage group and a corresponding source storage group.
        ServerEndpointGroups:
          description: Groups of server endpoints in this storage group.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: An array of references to groups of server-side endpoints
            that may be used to make requests to the storage exposed by this storage
            group.  If null, the implementation may allow access to the storage via
            any server-side endpoint.  If empty, the implementation shall not allow
            access to the storage via any server-side endpoint.
        ServerEndpointGroups@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The property contains the status of the StorageGroup.
          x-longDescription: The property shall contain the status of the StorageGroup.
        Volumes:
          deprecated: true
          description: Volumes in this storage group.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-deprecatedReason: These references are replaced by the MappedVolumes array
            in StorageGroup.
          x-longDescription: An array of references to volumes managed by this storage
            group.
        Volumes@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        VolumesAreExposed:
          description: Storage volumes are exposed to paths defined by the client
            and server endpoints.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: The value of this property shall be set to true if storage
            volumes are exposed to the paths defined by the client and server endpoints.  The
            default value for this property is false.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: A storage group collects a set of related storage entities
        (volumes, file systems...) The collection should be useful for managing the
        storage of a set of related client applications.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#StorageGroup.v1_0_0.StorageGroup'
x-copyright: Copyright 2015-2022 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
x-release: TP v1.0.3
